Bug 229172 - net/fping: Update to 4.0
Summary: net/fping: Update to 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-20 07:32 UTC by Kai Knoblich
Modified: 2018-07-17 19:42 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
fping-4.0.patch (2.61 KB, patch)
2018-06-20 07:32 UTC, Kai Knoblich
no flags Details | Diff
patch for net/fping (2.70 KB, patch)
2018-06-27 15:44 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-20 07:32:04 UTC
Created attachment 194419 [details]
fping-4.0.patch

Hello,

attached is the patch that updates net/fping to 4.0 .

Changes by upstream:
- https://github.com/schweikert/fping/releases/tag/v4.0
- most notable change: fping and fping6 are now unified in one binary

Changes to the port:
- sorted variables a bit
- changed pkg-plist to match the unified binary (removed occurences of fping6)
- added patch for configure.ac to enable build on FreeBSD (if sys/types.h is omitted, configure emits an error that FreeBSD has no IPv6 support)

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) -> OK
- portlint -> OK
Comment 1 jharris 2018-06-23 22:27:10 UTC
Approved, thanks!  (Tested w/IPV4 only.)
Comment 2 Fernando Apesteguía freebsd_committer 2018-06-27 15:44:11 UTC
Created attachment 194678 [details]
patch for net/fping

Remove options since the same executable now handles both protocols.
Comment 3 jharris 2018-06-28 03:15:39 UTC
Approved updated patch, thanks!  (Still tested w/IPv4 only.)
Comment 4 jharris 2018-06-28 03:17:25 UTC
Comment on attachment 194678 [details]
patch for net/fping

updating flags for patch...
Comment 5 commit-hook freebsd_committer 2018-06-30 08:50:11 UTC
A commit references this bug:

Author: fernape
Date: Sat Jun 30 08:49:14 UTC 2018
New revision: 473606
URL: https://svnweb.freebsd.org/changeset/ports/473606

Log:
  net/fping: update to 4.0

  PR:	229172
  Reported by:	freebsd_ports@k-worx.org
  Approved by:	tcberner (mentor) jharris@widomaker.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D15970

Changes:
  head/net/fping/Makefile
  head/net/fping/distinfo
  head/net/fping/files/
  head/net/fping/files/patch-configure.ac
  head/net/fping/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2018-07-17 19:42:09 UTC
Forgot to close this.

Committed. Thanks!